-----------------------------------------------------------------------
--
--   Beispielskript zum Vortrag "Access und SQL Server-Verschlsselung"
--
--   Autor: Bernd Jungbluth										
--   Keine Gewhrleistung, keine Haftung
--
-----------------------------------------------------------------------

----------------------------------------------------------------
-- Ein Blick in die Datapage nach der Verschlsselung
----------------------------------------------------------------

USE semKrypto;
GO

-- Datapage ermitteln
SELECT	DISTINCT extent_page_id
FROM	sys.dm_db_database_page_allocations(DB_ID('semKrypto'), OBJECT_ID('dbo.Bewerber'), 1, NULL, 'LIMITED')
ORDER BY  1;

-- Ausgabe einer Datenseite ermglichen
DBCC TRACEON (3604);
-- Inhalt einer Datenseite ausgeben
DBCC PAGE (semKrypto, 1, 520, 3) WITH TABLERESULTS;



----------------------------------------------------------------
-- Daten lesen nach Verschlsselung
----------------------------------------------------------------

USE semKrypto;
GO

-- Daten der Tabelle Bewerber
SELECT SUSER_SNAME() As AktuellerBenutzer;
SELECT Vorname, Nachname, PLZ, Religion, Geburtsdatum, Gehaltswunsch FROM dbo.Bewerber;
GO


-- Verbindung mit "column encryption setting = enabled" erweitern
SELECT SUSER_SNAME() As AktuellerBenutzer;
SELECT Vorname, Nachname, PLZ, Religion, Geburtsdatum, Gehaltswunsch FROM dbo.Bewerber;
GO


