-----------------------------------------------------------------------
--
--   Beispielskript zum Vortrag "Access und SQL Server-Verschlsselung"
--
--   Autor: Bernd Jungbluth										
--   Keine Gewhrleistung, keine Haftung
--
-----------------------------------------------------------------------


USE semKrypto;
GO

----------------------------------------------------------------
-- Gespeicherte Prozeduren mit Always Encrypted
----------------------------------------------------------------

-- Aktueller Benutzer
SELECT SUSER_SNAME() As AktuellerBenutzer;


-- Gespeicherte Prozedur ausfhren
EXEC dbo.pInsertBewerber 1, N'Feder', N'Stefan', N'Gasse', N'17a', N'77777', N'Ortshausen', 850, 'tutnichtweh'
GO
--> Fehler



DECLARE @Stelle		INT = 1,
		@Nachname	NVARCHAR(20) = N'Feder',
		@Vorname	NVARCHAR(10) = N'Stefan',
		@Strasse	NVARCHAR(25) = N'Gasse',
		@Hausnr		NVARCHAR(25) = N'17a',
		@PLZ		NVARCHAR(10) = N'77777',
		@Ort		NVARCHAR(50) = N'Ortlingen',
		@Gehalt		MONEY		  = 850,
		@Religion	NVARCHAR(50) = 'keltisch';

EXEC dbo.pInsertBewerber @Nachname, @Vorname, @Strasse, @Hausnr, @PLZ, @Ort, @Gehalt, @Religion;
GO
--> Funktioniert

-- Gespeicherte Prozedur mit verschlsselten und nicht verschlsselten Werten
EXEC dbo.pUpdateBewerberGehaltswunsch 2, 1000;
--> Fehler


-- Nur verschlsselten Wert parametrisieren
DECLARE @Gehaltswunsch AS MONEY = '1000';
EXEC dbo.pUpdateBewerberGehaltswunsch 2, @Gehaltswunsch;
GO
--> Funktioniert