-----------------------------------------------------------------------
--
--   Beispielskript zum Vortrag "Access und SQL Server-Verschlsselung"
--
--   Autor: Bernd Jungbluth										
--   Keine Gewhrleistung, keine Haftung
--
-----------------------------------------------------------------------

USE semKrypto;
GO

----------------------------------------------------------------
-- Rechtevergabe an Symmetrischem Schlssel und Zertifikat
----------------------------------------------------------------

GRANT VIEW DEFINITION ON SYMMETRIC KEY::skeyMitarbeiterBewertung TO Hesselbach;
GRANT CONTROL ON CERTIFICATE::certMitarbeiterBewertung TO Hesselbach;
GO


----------------------------------------------------------------
-- Das Recht CONTROL und mgliche Folgen
----------------------------------------------------------------

-- Zum Benutzer Hesselbach wechseln
--> Skript "D04 - Control-Recht an Zertifikat"

-- Folgen der nderung von Hesselbach
	OPEN SYMMETRIC KEY skeyMitarbeiterBewertung
		DECRYPTION BY CERTIFICATE certMitarbeiterBewertung
			WITH PASSWORD = 'VerbesserungswrdigesKennwort!';

--> Fehler wegen nicht mehr aktuellem Kennwort

