-----------------------------------------------------------------------
--
--   Beispielskript zum Vortrag "Access und SQL Server-Verschlsselung"
--
--   Autor: Bernd Jungbluth										
--   Keine Gewhrleistung, keine Haftung
--
-----------------------------------------------------------------------


USE master;
GO


----------------------------------------------------------------
-- Service Master Key 
----------------------------------------------------------------

--> Nur ein Datensatz in einer Tabelle
SELECT * FROM sys.symmetric_keys;
GO

-- Service Master Key sichern
BACKUP SERVICE MASTER KEY  
	TO FILE = 'D:\Vortrge\Access und SQL Server-Verschlsselung\Tresor\keySMK_master.smk'
	ENCRYPTION BY PASSWORD = 'Dasgehtvielbesser!';
GO


----------------------------------------------------------------
-- Database Master Key fr Datenbank semKrypto anlegen
----------------------------------------------------------------

USE semKrypto;
GO

-- Database Master Key anlegen
CREATE MASTER KEY 
	ENCRYPTION BY PASSWORD = 'Dasgehtvielbesser!';  
GO

--> Nur ein Datensatz in einer Tabelle
SELECT * FROM sys.symmetric_keys;
GO

-- Database Master Key sichern
BACKUP MASTER KEY  
	TO FILE = 'D:\Vortrge\Access und SQL Server-Verschlsselung\Tresor\keyDMK_master.dmk'
	ENCRYPTION BY PASSWORD = 'Das ist ein schlechtes Kennwort!';
GO