-----------------------------------------------------------------------
--
--   Beispielskript zum Vortrag "Access und SQL Server-Verschlsselung"
--
--   Autor: Bernd Jungbluth										
--   Keine Gewhrleistung, keine Haftung
--
-----------------------------------------------------------------------

USE master;
GO



----------------------------------------------------------------
-- Verbindungseigenschaften ausgeben
----------------------------------------------------------------

SELECT	
		C.connect_time As Verbindung,		
		C.net_transport As Transportprotokoll, 
		C.auth_scheme As Authentifizierung, 
		C.local_tcp_port As [Port],
		C.encrypt_option As Verschluesselt,
		S.[program_name] As Applikation,
		S.[original_login_name] As Benutzer,
		T.[text] As SqlAnweisung
FROM	
		sys.dm_exec_connections C
		INNER JOIN	sys.dm_exec_sessions S
					ON C.session_id = S.session_id
		CROSS APPLY	sys.dm_exec_sql_text(C.most_recent_sql_handle) T
		
WHERE
		[program_name] IN ('Microsoft Office', 'ADO')
		OR
		s.session_id = @@spid