-----------------------------------------------------------------------
--
--   Beispielskript zum Vortrag "Access und SQL Server-Verschlsselung"
--
--   Autor: Bernd Jungbluth										
--   Keine Gewhrleistung, keine Haftung
--
-----------------------------------------------------------------------


----------------------------------------------------------------
-- Always Encrypted konfigurieren
-- Spaltenhauptschlssel: CMK_Bewerber
-- Eigene Zertifikate anschauen
-- Zertifikate von Hesselbach anschauen
-- Spaltenverschlsselungsschlssel: CEK_Bewerber_Deterministisch
-- Spaltenverschlsselungsschlssel: CEK_Bewerber_Zufaellig
-- Tabelle Bewerber
-- Spalten mit deterministisch: PLZ, Religion
-- Spalten mit zufllig: Gehaltswunsch 
----------------------------------------------------------------



----------------------------------------------------------------
-- Daten lesen
----------------------------------------------------------------

USE semKrypto;
GO

-- Daten der Tabelle Bewerber
SELECT SUSER_SNAME() As AktuellerBenutzer;
SELECT Vorname, Nachname, PLZ, Religion, Geburtsdatum, Gehaltswunsch FROM dbo.Bewerber;


-- Verbindung mit "column encryption setting = enabled" erweitern
SELECT SUSER_SNAME() As AktuellerBenutzer;
SELECT Vorname, Nachname, PLZ, Religion, Geburtsdatum, Gehaltswunsch FROM dbo.Bewerber;
GO

